Bug 72585 - "make xconfig" exits with 'make: wish: Command not found'
"make xconfig" exits with 'make: wish: Command not found'
Product: Red Hat Public Beta
Classification: Retired
Component: distribution (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
Preston Brown
Depends On:
  Show dependency treegraph
Reported: 2002-08-25 16:44 EDT by Peter van Egdom
Modified: 2014-03-16 22:30 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-08-25 16:49:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Here's my Anaconda kickstart file (1.59 KB, text/plain)
2002-08-25 16:46 EDT, Peter van Egdom
no flags Details
Here's my install.log (25.23 KB, text/plain)
2002-08-25 16:47 EDT, Peter van Egdom
no flags Details

  None (edit)
Description Peter van Egdom 2002-08-25 16:44:10 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.1) Gecko/20020814

Description of problem:
I decided to do a kernel compile on a freshly installed
Red Hat Linux 'null' machine.

I did a "make clean" && "make mrproper" before doing "make xconfig".

But, when I typed in "make xconfig", I got the message :

"make: wish: Commando niet gevonden"
"make: *** [xconfig] Fout 127"

Version-Release number of selected component (if applicable):
Red Hat Linux 'null'

How reproducible:

Steps to Reproduce:
1. "su -"
2. "cd /usr/src/linux-2.4"
3. "make clean"
4. "make mrproper"
5. "make xconfig"

Actual Results:  "make: wish: Commando niet gevonden"
"make: *** [xconfig] Fout 127"

Expected Results:  I expected the graphical kernel configuration fronted
normally presented by "make xconfig".

Additional info:

[root@localhost linux-2.4]# make xconfig
rm -f include/asm
( cd include ; ln -sf asm-i386 asm)
make -C scripts kconfig.tk
make[1]: Binnengaan van map `/usr/src/linux-2.4.18-11/scripts'
cat header.tk >> ./kconfig.tk
./tkparse < ../arch/i386/config.in >> kconfig.tk
KERNTYPE=`sed -n 's_^/\* Kernel type \(.*\) \*/_\1_p' /boot/kernel.h 2>/dev/null`; \
if [ -f configs/*-ERNTYPE.config ]; then \
        conf=`echo configs/*-ERNELTYPE.config`; \
        echo "set defaults \"\"" >> kconfig.tk; \
else \
        echo "set defaults \"arch/i386/defconfig\"" >> kconfig.tk; \
echo "set ARCH \"i386\"" >> kconfig.tk
cat tail.tk >> kconfig.tk
chmod 755 kconfig.tk
make[1]: Weggaan uit map `/usr/src/linux-2.4.18-11/scripts'
wish -f scripts/kconfig.tk
make: wish: Commando niet gevonden
make: *** [xconfig] Fout 127
[root@localhost linux-2.4]#
Comment 1 Peter van Egdom 2002-08-25 16:46:37 EDT
Created attachment 72865 [details]
Here's my Anaconda kickstart file
Comment 2 Peter van Egdom 2002-08-25 16:47:38 EDT
Created attachment 72866 [details]
Here's my install.log
Comment 3 Peter van Egdom 2002-08-25 16:49:21 EDT
ps. I have succesfully compiled Linux kernels in the past, from
Red Hat 6.x to 7.3, always with "Kernel Development" and some
extra packages. On this particular 'null' install, I selected
similar packages as before.

Comment 4 Peter van Egdom 2002-10-30 16:48:58 EST
Closing bug.

Compiler works as expected in Red Hat Linux 8.0.

Note You need to log in before you can comment on or make changes to this bug.